Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QFtp.TransferType

    java.lang.Object
      java.lang.Enum<QFtp.TransferType>
          com.trolltech.qt.network.QFtp.TransferType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFtp.TransferType>

Enclosing class:
  QFtp

    public static enum QFtp.TransferType

extends java.lang.Enum<QFtp.TransferType>
implements QtEnumerator

This enum identifies the data transfer type used with get and put commands.

Enum Constant Summary
`Ascii` The data will be transferred in Ascii mode and new line characters will be converted to the local format.
`Binary` The data will be transferred in Binary mode.

Method Summary
`static QFtp.TransferType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFtp.TransferType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFtp.TransferType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Binary

    public static final QFtp.TransferType Binary

  The data will be transferred in Binary mode.

### Ascii

    public static final QFtp.TransferType Ascii

  The data will be transferred in Ascii mode and new line characters will be converted to the local format.

Method Detail

### values

    public static final QFtp.TransferType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFtp.TransferType c : QFtp.TransferType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFtp.TransferType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFtp.TransferType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD